[![Build Status](https://dev.azure.com/aasworldwidetelescope/WWT/_apis/build/status/WorldWideTelescope.wwt_api_client?branchName=master)](https://dev.azure.com/aasworldwidetelescope/WWT/_build/latest?definitionId=30&branchName=master)
[![ReadTheDocs Status](https://readthedocs.org/projects/wwt-api-client/badge/?version=latest)](https://wwt-api-client.readthedocs.io/en/latest/?badge=latest)
[![PyPI version](https://badge.fury.io/py/wwt-api-client.svg)](https://badge.fury.io/py/wwt-api-client)
[![codecov](https://codecov.io/gh/WorldWideTelescope/wwt_api_client/branch/master/graph/badge.svg?token=R7hIYRRRCl)](https://codecov.io/gh/WorldWideTelescope/wwt_api_client)

# `wwt_api_client`: Accessing AAS WorldWide Telescope Web Service from Python

<!--pypi-begin-->
The [wwt_api_client] package provides a Python interface to the various web
services that power the [AAS](https://aas.org/) [WorldWide
Telescope](https://worldwidetelescope.org/) project.

[wwt_api_client]: https://wwt-api-client.readthedocs.io/
<!--pypi-end-->


## Installation

The easiest way to install [wwt_api_client] is through [pip]:

```
pip install wwt_api_client
```

[pip]: https://pip.pypa.io/


## Reporting issues

If you run into any issues, please [open an
issue](https://github.com/WorldWideTelescope/wwt_api_client/issues).


## Release History

Releases of [wwt_api_client] are logged in the file
[CHANGELOG.md](https://github.com/WorldWideTelescope/wwt_api_client/blob/release/CHANGELOG.md)
on the `release` branch of this repository, as well as release listings
maintained by
[GitHub](https://github.com/WorldWideTelescope/wwt_api_client/releases) and
[PyPI](https://pypi.org/project/wwt_api_client/#history).


## Continuous Integration and Deployment

This repository uses [Cranko] to automate release workflows.

[Cranko]: https://pkgw.github.io/cranko/


## Getting involved

We love it when people get involved in the WWT community! You can get started
by [participating in our user forum] or by
[signing up for our low-traffic newsletter]. If you would like to help make
WWT better, our [Contributor Hub] aims to be your one-stop shop for
information about how to contribute to the project, with the
[Contributors’ Guide] being the first thing you should read. Here on GitHub we
operate with a standard [fork-and-pull] model.

[participating in our user forum]: https://wwt-forum.org/
[signing up for our low-traffic newsletter]: https://bit.ly/wwt-signup
[Contributor Hub]: https://worldwidetelescope.github.io/
[Contributors’ Guide]: https://worldwidetelescope.github.io/contributing/
[fork-and-pull]: https://help.github.com/en/articles/about-collaborative-development-models

All participation in WWT communities is conditioned on your adherence to the
[WWT Code of Conduct], which basically says that you should not be a jerk.

[WWT Code of Conduct]: https://worldwidetelescope.github.io/code-of-conduct/


## Acknowledgments

The AAS WorldWide Telescope system is a [.NET Foundation] project. Work on WWT
has been supported by the [American Astronomical Society] (AAS), the US
[National Science Foundation] (grants [1550701], [1642446], and [2004840]), the [Gordon
and Betty Moore Foundation], and [Microsoft].

[American Astronomical Society]: https://aas.org/
[.NET Foundation]: https://dotnetfoundation.org/
[National Science Foundation]: https://www.nsf.gov/
[1550701]: https://www.nsf.gov/awardsearch/showAward?AWD_ID=1550701
[1642446]: https://www.nsf.gov/awardsearch/showAward?AWD_ID=1642446
[2004840]: https://www.nsf.gov/awardsearch/showAward?AWD_ID=2004840
[Gordon and Betty Moore Foundation]: https://www.moore.org/
[Microsoft]: https://www.microsoft.com/


## Legalities

[wwt_api_client] is copyright the .NET Foundation. It is licensed under the
[MIT License](./LICENSE).
